import { OnInit, SimpleChanges, OnChanges } from '@angular/core';
import { SharedService } from '../../../../shared/service/shared.service';
import { SummaryBase } from '../summary-base';
import { SummaryData, UserAnswerTypes } from '../../../../shared/models/index';
export declare class InlineChoiceSummaryComponent extends SummaryBase implements OnInit, OnChanges {
    sharedService: SharedService;
    question: SummaryData;
    questionTitleSplits: any;
    userAnswerTypes: typeof UserAnswerTypes;
    userAnswer: string[];
    ngOnChanges(changes: SimpleChanges): void;
    constructor(sharedService: SharedService);
    ngOnInit(): void;
    createQuestion(): void;
    setUserAnswer(): void;
}
